Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
dns-zones
/
{id}
/
records
[DNS Records] Create a new DNS record
curl --request POST \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/dns-zones/{id}/records \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "record_type": "A",
  "name": "<string>",
  "content": "<string>",
  "ttl": 3600,
  "priority": 32767,
  "proxied": false
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "record_type": "A",
  "name": "<string>",
  "content": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "modified": "2023-11-07T05:31:56Z",
  "ttl": 2147483647,
  "priority": 2147483647,
  "proxied": true
}

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string
required

The unique identifier (UUID) of the DNS zone

organization_id
string<uuid>
required
project_id
string<uuid>
required

Body

application/json
record_type
enum<string>
required
  • A - A
  • AAAA - AAAA
  • CNAME - CNAME
  • MX - MX
  • TXT - TXT
  • NS - NS
  • SRV - SRV
  • CAA - CAA
  • PTR - PTR
  • SOA - SOA
Available options:
A,
AAAA,
CNAME,
MX,
TXT,
NS,
SRV,
CAA,
PTR,
SOA
name
string
required
Maximum string length: 253
content
string
required
ttl
integer
default:3600
Required range: 1 <= x <= 86400
priority
integer | null
Required range: 0 <= x <= 65535
proxied
boolean
default:false

Response

DNS record created successfully

id
string<uuid>
required
read-only
record_type
enum<string>
required
  • A - A
  • AAAA - AAAA
  • CNAME - CNAME
  • MX - MX
  • TXT - TXT
  • NS - NS
  • SRV - SRV
  • CAA - CAA
  • PTR - PTR
  • SOA - SOA
Available options:
A,
AAAA,
CNAME,
MX,
TXT,
NS,
SRV,
CAA,
PTR,
SOA
name
string
required
Maximum string length: 253
content
string
required
created
string<date-time>
required
read-only
modified
string<date-time>
required
read-only
ttl
integer<int64>
Required range: 0 <= x <= 4294967295
priority
integer<int64> | null
Required range: 0 <= x <= 4294967295
proxied
boolean